%define         name    gnupg-pkcs11-scd
%define         version 0.02
%define         release 1
%define         prefix  /usr

Summary:        GnuPG-compatible smart-card daemon with PKCS#11 support
Name:           %{name}
Version:        %{version}
Release:        %{release}%{dist}
License:        BSD
Packager:       Eddy Nigg <eddy_nigg@startcom.org>
Group:          Applications/System
Url:            http://gnupg-pkcs11.sourceforge.net/
Source:         http://downloads.sourceforge.net/gnupg-pkcs11/%{name}-%{version}.tar.bz2
BuildRoot:      /var/tmp/%{name}-%{version}-%{release}
BuildRequires:  openssl-devel >= 0.9.7a
BuildRequires:  pkcs11-helper-devel >= 1.02
BuildRequires:	libassuan-devel
BuildRequires:	gnutls-devel >= 1.4
Requires:       openssl >= 0.9.7a
Requires:       pkcs11-helper >= 1.02
Requires:       libassuan
Requires:       gnutls >= 1.2
Provides:       %{name} = %{version}

%description
gnupg-pkcs11-scd is a drop-in replacement for the smart-card daemon (scd) shipped with the
next-generation GnuPG (gnupg-2). The daemon interfaces to smart-cards
by using RSA Security Inc. PKCS#11 Cryptographic Token Interface (Cryptoki).

%prep
%setup -q

%build
%configure -q \
        --disable-rpath

%ifarch x86_64
%{__perl} -pi -e "s:= /usr/lib64/pkgconfig:= \$(DESTDIR)/usr/lib64/pkgconfig:g" Makefile
%else
%{__perl} -pi -e "s:= /usr/lib/pkgconfig:= \$(DESTDIR)/usr/lib/pkgconfig:g" Makefile
%endif

make %{?_smp_mflags}

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%makeinstall

mkdir $RPM_BUILD_ROOT/etc/
mv $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}/gnupg-pkcs11-scd.conf.example $RPM_BUILD_ROOT/etc/%{name}.conf

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/*
%config(noreplace) /etc/%{name}.conf
%{_docdir}/%{name}-%{version}/COPYING
%{_docdir}/%{name}-%{version}/README

%changelog
* Mon Dec 4 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Fix dependencies, cleanup.

* Fri Dec 01 2006 Alon Bar-Lev <alon.barlev@gmail.com>
- Written based on pkcs11-helper by Eddy Nigg <eddy_nigg@startcom.org>
